import { describe, it, expect } from '@jest/globals'

import * as rollup from 'rollup'
import gettextPlugin from '../dist/index'

describe('Extract messages', () => {
  describe('msgctxt collisions', () => {
    async function renderPo (input) {
      const bundle = await rollup.rollup({
        input,
        plugins: [
          gettextPlugin({
            poFiles: 'spec/fixtures/i18n/*.po',
            defaultLanguage: 'de_DE'
          })
        ]
      })
      return bundle.cache.plugins.gettext.po[1]
    }
    it('should throw if same msgid is defined by gt first and gt.ngettext second', async () => {
      await expect(renderPo('spec/fixtures/broken/context_collision.js')).rejects.toThrow(/Do you really want to delete this item\?/)
    })
    it('should throw if same msgid is defined by gt.ngettext first and gt second', async () => {
      await expect(renderPo('spec/fixtures/broken/context_collision2.js')).rejects.toThrow(/Do you really want to delete this item\?/)
    })
  })
})
