import { dirname } from 'node:path'
import { fileURLToPath } from 'node:url'

export function getFilesFromBundle (name, bundle) {
  if (!bundle) return
  if (!bundle.output) return
  return bundle.output.filter(({ fileName }) => fileName.indexOf(name) >= 0)
}

export function getFileFromBundle (name, bundle) {
  const files = getFilesFromBundle(name, bundle)

  if (files.length <= 1) return files[0]
  const file = bundle.output.find(({ fileName }) => fileName === name)
  return file
}

export function getPort () {
  return (5000 + Math.random() * 5000) >> 0
}

export function getDirname (url) {
  return dirname(fileURLToPath(url))
}
